
Foreman - Bug #5726

[hooks] JSON supplied to Foreman hooks is missing data

05/14/2014 07:12 PM - Martin Matuška

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1107692 Red Hat JIRA:  

Pull request:    

Description

Since Foreman 1.5, the JSON supplied to Foreman hooks contains only parameter names and is missing parameter values.

There is no way to check these values from "create" hooks as the host data is not yet fetchable via the API.

Related issues:

Has duplicate Foreman - Bug #5820: Hosts show API does not return parameter v... Duplicate 05/20/2014

Associated revisions

Revision 283ff66b - 05/20/2014 02:17 PM - Joseph Magen

fixes #5726 - parameter values missing from host#show API call

Revision 3394686a - 06/11/2014 01:02 PM - Joseph Magen

fixes #5726 - parameter values missing from host#show API call

(cherry picked from commit 283ff66be9b8300424c73df044f94e2b7fb06747)

History

#1 - 05/15/2014 08:17 AM - Dominic Cleal

- Project changed from Foreman to Plugins

- Subject changed from JSON supplied to Foreman hooks is missing data to [hooks] JSON supplied to Foreman hooks is missing data

- Category deleted (Host creation)

#2 - 05/15/2014 10:25 AM - Dominic Cleal

- Project changed from Plugins to Foreman

- Category set to API

- translation missing: en.field_release set to 16

112320 < Dominic> mmat: oh, I see why.  app/views/api/v2/hosts/show.json.rabl is using the puppetclasses view for parameters!

112336 < Dominic> should be extends "api/v2/parameters/base" I think

#3 - 05/19/2014 12:28 PM - Dominic Cleal

- Target version set to 1.8.2

#4 - 05/20/2014 12:35 PM - Joseph Magen

- Status changed from New to Ready For Testing

- Assignee set to Joseph Magen

https://github.com/theforeman/foreman/pull/1458

#5 - 05/20/2014 02:13 PM - Dominic Cleal

- Has duplicate Bug #5820: Hosts show API does not return parameter values added
https://github.com/theforeman/foreman/pull/1458


#6 - 05/20/2014 02:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 283ff66be9b8300424c73df044f94e2b7fb06747.

#7 - 06/10/2014 12:49 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107692

Powered by TCPDF (www.tcpdf.org)

05/11/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/283ff66be9b8300424c73df044f94e2b7fb06747
http://www.tcpdf.org

